@echo off
set appDir=%~dp0
cd %appDir%
goto check_Permissions

:check_Permissions
echo Administrative permissions required. Detecting permissions...
net session >nul 2>&1
if %errorLevel% == 0 (
    echo Administrative permissions confirmed.
    goto uninstall_Service
) else (
    echo You are not running as an Administrator.
    goto stopPlease
)
    
:uninstall_Service
echo Stopping and uninstalling service   
sc stop itsPaV1 >nul
sc delete itsPaV1 >nul
echo Service stopped and removed
goto stopPlease
    
:stopPlease
pause >nul
:end